[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGInterfacedObjectList.Insert

Insert a new object in the list

## Declaration

Source position: fgl.pp line 232

`public procedure TFPGInterfacedObjectList.Insert(`
`Index: Integer;`
`const Item: T`
`);`

## Arguments

`Index` |  | Position to insert Item at
`Item` |  | Interfaced Object to insert in the list

## Description

Insert inserts a new object (Item) in the list at position Index. The index is zero based and must be less than Count.

## Errors

If an invalid index is specified, an EListError exception is raised.

## See also

TFPGInterfacedObjectList.Items |  | Indexed access to objects in the list.
TFPGInterfacedObjectList.Add |  | Add new object of class T to the list.